---
- entityDefinitions:
  - IDR_Build_UI_Response_Method__uses__Executable_returning_Element: '{6f066ec6-b978-4627-81da-78fee1bed5e5}'
  - IDR_Executable_returning_Element__used_by__Build_UI_Response_Method: '{0e662556-ca79-43fe-9a50-57ad22df65de}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:     '&IDC_BuildUIResponseMethod;'
    name:      BUIR - Build UI Response Method
    index:     62
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_BUIR;'
    customTagName: 'buildUIResponseMethod'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'BUIR - Build UI Response Method'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Build_UI_Response_Method__uses__Executable_returning_Element;'
      customTagName: 'usesExecutableReturningElement'

  - relationship: '&IDR_Build_UI_Response_Method__uses__Executable_returning_Element;'
    index: 89
    sourceClassId: '&IDC_BuildUIResponseMethod;'
    type: 'uses'
    destinationClassId: '&IDC_ExecutableReturningElement;'
    siblingRelationshipId: '&IDR_Executable_returning_Element__used_by__Build_UI_Response_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Element__used_by__Build_UI_Response_Method;'
    index: 90
    sourceClassId: '&IDC_ExecutableReturningElement;'
    type: 'used by'
    destinationClassId: '&IDC_BuildUIResponseMethod;'
    siblingRelationshipId: '&IDR_Build_UI_Response_Method__uses__Executable_returning_Element;'
    singular: no
